#---------------------------------------------------------------------------
# Makefile for the TECS Client library
#
# Markus Zolliker, March 2000
#--------------------------------------------------------------------------
OBJ=   tecc.o client.o coc.o errhdl.o str_util.o str_buf.o \
       server.o lsc.o serutil.o logfile.o dlog.o \
       asynsrv_utility.o strjoin.o geterrno.o

#------------ for DigitalUnix
CC=cc
CFLAGS= -std1 -g -c -warnprotos -I.

.c.o:
	$(CC) $(CFLAGS) $*.c

tecs: $(OBJ)
	- rm libtecsl.a
	ar cr libtecsl.a $(OBJ)
	ranlib libtecsl.a
	- rm TecsServer
	cc -o TecsServer -g tecs.c -lm -L. -ltecsl
	- rm tcli
	cc -o tcli -g tcli.c -lm -L. -ltecsl

clean:
	rm *.o
	rm *.a
